aboutsummaryrefslogtreecommitdiff
path: root/utils/seeded-builds
diff options
context:
space:
mode:
authorPaul Sokolovsky <paul.sokolovsky@linaro.org>2012-01-23 01:22:58 +0200
committerPaul Sokolovsky <paul.sokolovsky@linaro.org>2012-01-23 01:22:58 +0200
commit462bf6b33ac846b95eb87d50882637d6d7eea276 (patch)
tree0cbf34da1a43c9de82036a2ab00be51a024d81f7 /utils/seeded-builds
parentc78ff48e1a12dfe0032a34dcca4da8cec2066a0a (diff)
Add tool to update seed checkout and re-tarball it.
To be used from cron.
Diffstat (limited to 'utils/seeded-builds')
-rwxr-xr-xutils/seeded-builds/seed-update13
1 files changed, 13 insertions, 0 deletions
diff --git a/utils/seeded-builds/seed-update b/utils/seeded-builds/seed-update
new file mode 100755
index 0000000..b4479ad
--- /dev/null
+++ b/utils/seeded-builds/seed-update
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+BASE=/mnt2/seed
+SEED=$1
+
+cd $BASE/$SEED
+repo sync --quiet -j2
+cd $BASE
+time tar cfz $SEED.tar.gz.new $SEED/
+mv $SEED.tar.gz $SEED.tar.gz.old
+mv $SEED.tar.gz.new $SEED.tar.gz